package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/4/16 0016
 **/
public enum DeductReasonEnum implements BaseEnum<String,DeductReasonEnum> {
    SIGN_IN_TIME_ERR("SIGN_IN_TIME_ERR", "签到时间异常", ""),
    SIGN_OUT_TIME_ERR("SIGN_OUT_TIME_ERR", "签退时间异常", ""),
    GPS_ERR_IN("GPS_ERR_IN", "签到位置异常", ""),
    GPS_ERR_OUT("GPS_ERR_OUT", "签退位置异常", ""),
    NO_GPS("NO_GPS", "未点名", ""),
    GPS_ERR("GPS_ERR", "点名位置异常", ""),
    NOT_SETTLEMENT("NOT_SETTLEMENT", "不结算课酬", "特殊老师不结算课酬"),
    TRAIL("TRAIL", "试用期扣减", "试用期老师课酬按系统配置的折扣计算"),

    //收入
    SALARY("SALARY", "基本课酬", "课时应发课酬"),
    SUBSIDY("SUBSIDY", "课程补贴", "课程补贴"),
    COURSE_SUBSIDY("COURSE_SUBSIDY", "课酬调剂", "课时课酬调剂金额");

    private String code;

    private String msg;

    private String desc;

    DeductReasonEnum(String code, String msg, String desc) {
        this.code = code;
        this.msg = msg;
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
